Mises a jour php 5.2 vers 5.2.4 ou 5.3

Fermé
GTA.999
Messages postés
146
Date d'inscription
mardi 25 janvier 2011
Statut
Membre
Dernière intervention
22 septembre 2012
- 10 août 2011 à 19:52
avion-f16
Messages postés
18846
Date d'inscription
dimanche 17 février 2008
Statut
Contributeur
Dernière intervention
19 août 2022
- 5 avril 2012 à 12:41
Bonjour,

Je possede un VPS linux chez 1&1 (1&1 Serveur Virtuel XL Linux) je viens de faire la mise a jour php 5.1 vers 5.2 et je souhaite a nouveaux l'upgrade pour pouvoir installer des cms de type (wordpress)

Dans l'attende d'une reponse. merci.

ps: pour les petits malin qui veulent mettre des reponses du type "google est ton ami ce n'est pas la ^peine j'ai deja cherché.Merci

3 réponses

avion-f16
Messages postés
18846
Date d'inscription
dimanche 17 février 2008
Statut
Contributeur
Dernière intervention
19 août 2022
4 413
10 août 2011 à 20:33
Voilà, ainsi, je suis un petit malin :)

Je te conseille PHP 5.3.6, il s'agit de la dernière version stable. Cette branche apporte plusieurs nouveautés concernant la POO, et pas seulement.
La version 5.2.17 est considérée comme « Old stable ».
2
GTA.999
Messages postés
146
Date d'inscription
mardi 25 janvier 2011
Statut
Membre
Dernière intervention
22 septembre 2012
85
10 août 2011 à 21:00
Merci pour tes conseils mais aurait-tu un tuto ou autre pour m'expliquer la demarche a suivre
0
avion-f16
Messages postés
18846
Date d'inscription
dimanche 17 février 2008
Statut
Contributeur
Dernière intervention
19 août 2022
4 413
10 août 2011 à 22:25
Ça dépend de la distribution.
Sous Ubuntu ou Debian, il suffit de faire ça (avec les privilèges root) :
aptitude update
aptitude safe-upgrade
Et tu obtiendras la dernier version disponibles dans les dépôts pour tous les paquets installés.

Si la version proposée n'est pas celle que tu désires, alors tu peux toujours télécharger les sources de PHP et les compiler.
0
GTA.999
Messages postés
146
Date d'inscription
mardi 25 janvier 2011
Statut
Membre
Dernière intervention
22 septembre 2012
85
10 août 2011 à 22:32
mon os CentOS 5 et merci pour tes commandes mais elles ne fonctionnent pas :s
0
avion-f16
Messages postés
18846
Date d'inscription
dimanche 17 février 2008
Statut
Contributeur
Dernière intervention
19 août 2022
4 413
10 août 2011 à 22:39
Je ne connais pas CentOS, je ne saurais pas t'aider plus que ça.
Mettre à jour son système, c'est quand même la base.
http://www.centos.org/docs/5/html/yum/
0
GTA.999
Messages postés
146
Date d'inscription
mardi 25 janvier 2011
Statut
Membre
Dernière intervention
22 septembre 2012
85
10 août 2011 à 22:47
Je viens de mettre a jour l'OS
0
avion-f16
Messages postés
18846
Date d'inscription
dimanche 17 février 2008
Statut
Contributeur
Dernière intervention
19 août 2022
4 413
10 août 2011 à 20:30
Salut,

Google est ton ami.
0
"avion-f16 10 août 2011 à 20:30
Salut,

Google est ton ami."

en gros ca veux dire "je sais pas ou va te faire..."
0
avion-f16
Messages postés
18846
Date d'inscription
dimanche 17 février 2008
Statut
Contributeur
Dernière intervention
19 août 2022
4 413
5 avril 2012 à 12:41
C'était de l'humour.
Lis complètement le 1er message de ce topic.
Et tu remarqueras que par la suite, j'ai donné une vrai réponse.
0